Search documentation of ash

# Ash.Type.DateTime (ash v3.4.71)

View Source

Represents a datetime, with configurable precision and timezone.

### Constraints

- `:precision` - Valid values are :microsecond, :second The default value is `:second`.

- `:cast_dates_as` - Valid values are :start_of_day, :error The default value is `:start_of_day`.

- `:timezone` - Valid values are :utc The default value is `:utc`.

# Summary

## Functions

handle_change?()
prepare_change?()

# Functions

# handle_change?()

# prepare_change?()